Format a Semantic CWT credential as an Apple Pass
Roles
Analytics Events
/v2/credentials/compact-semantic/digital-pass/appleReturns an Apple Pass representation of a provided Semantic CWT credential based on an existing Apple Pass template.
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_CREATE_START
- CREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_CREATE_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
objectResponse Body
application/vnd.apple.pkpass
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/digital-pass/apple" \ -H "Content-Type: application/json" \ -d '{ "templateId": "3812166c-ac9f-4e4e-96dd-c1336b5be378", "payload": "{payload}" }'"string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Format a CWT credential as a PDF POST
Returns a PDF representation of a provided CWT credential based on an existing PDF template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout> ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_PDF_CREATE_START * CREDENTIAL_COMPACT_SEMANTIC_PDF_CREATE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_PDF_CREATE_FAIL
Format a Semantic CWT credential as a Google Pass POST
Returns a Google Pass representation of a provided CWT credential based on an existing Google Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout> ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_CREATE_START * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_CREATE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_CREATE_FAIL